{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Pencarian</title>
{% endblock meta %}

{% block footer_style %}relative{% endblock %}

{% block content %}

<head>
 <link href="{% static 'pencarian/css/style.css' %}" rel="stylesheet"> 
</head>


<div class="d-flex flex-column my-3 berita-content">
  <h1 style="text-align: center;"> Pencarian </h1>

  <div class="card my-5 border-custom">
    <div class="card-body p-5">
      <h5 class="card-title">Nama Provinsi</h5>
          <form id="form" method="post" autocomplete="off">
            <div class="autocomplete" style="width: 100%;">
              {% csrf_token %}
              {% for form in form %}
                {{ form }}
              {% endfor %}
            </div>
            
            <br><br>
              <button class="btn btn-primary float-right" type="submit" style="border-radius: 0;">Search 🔍</button>
              <button id="reset" class="btn btn-warning float-right" type="reset" style="border-radius: 0;">Clear 🚮</button>
            <br>
          </form>

    </div>

    <button id="theme" class="btn btn-success float-right" type="submit" style="border-radius: 0;">Change Theme! ✨</button>
    <br><br>
  </div>

  <br><br>

   
  <div id="result">
    {% if info.nama_provinsi.nama != null %}
    <h1 style="text-align: center;"> Hasil Pencarian </h1> 
    <br><br>
    <h2 style="text-align: center;">{{ info.nama_provinsi.nama}}</h2>
    <br>
    <div id="accordian">
      <ul>
  
          <li class="active">
                <h3><span></span>Protokol Kesehatan</h3>
                {% if user.is_authenticated == True %}
              <div class="row">
                  <h4>{{ info.protokol_kesehatan }}</h4>
              </div>
                {% else %}
              <div class="row">
                  <p>Harap melakukan Login terlebih dulu untuk dapat melihat protokol kesehatan secara lengkap.<a href="{% url 'autentikasi:login' %}" class="ml-2">Login sekarang!</a></p>
              </div>
                {% endif %}
          </li>
  
          {% for website in info.website_pemda.all %}
          <li>
                <h3><span></span>Website</h3>
  
              <div class="row">
                  <h4><a href="{{ website.alamat }}" target="_blank">{{ website.alamat }}</a></h4>
              </div>
          </li>
          {% endfor %}
  
          {% for email in info.email_pemda.all %}
          <li>
                <h3><span></span>Alamat Email</h3>
  
              <div class="row">
                  <h4>>{{ email.email }}</h4>
              </div>
          </li>
          {% endfor %}
  
          {% for telpon in info.telpon_pemda.all %}
          <li>
                <h3><span></span>Nomor Telpon</h3>
  
              <div class="row">
                  <h4>{{ telpon.nomor_telpon }}</h4>
              </div>
          </li>
          {% endfor %}
      </ul>
      {% endif %}
    </div>
    
  </div>
  

</div>

{% block js %}

  <script>var isAuthenticated = '{{ request.user.is_authenticated }}' === 'True';</script>
  <script type='text/javascript' src="{% static 'pencarian/javascript/data.js' %}"></script>

{% endblock %}

{% endblock content %}